Bug 1661429 (CVE-2018-16203) - CVE-2018-16203 postgresql-pgpoolAdmin: Fails to restrict access permissions
Summary: CVE-2018-16203 postgresql-pgpoolAdmin: Fails to restrict access permissions
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-16203
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1661430
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-21 08:33 UTC by Andrej Nemec
Modified: 2019-09-29 15:04 UTC (History)
3 users (show)

Fixed In Version: postgresql-pgpoolAdmin 4.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:44:27 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-21 08:33:40 UTC
It was found that in pgpool-admin before 4.0.1 a remote attacker may bypass the login authentication and obtain the administrative privilege of the PostgreSQL database.

References:

https://jvn.jp/en/jp/JVN13199224/
https://pgpool.net/mediawiki/index.php/Main_Page#pgpoolAdmin_4.0.1_officially_released_.282018.2F12.2F20.29_2

Comment 1 Andrej Nemec 2018-12-21 08:33:48 UTC
Created postgresql-pgpoolAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1661430]

Comment 2 Product Security DevOps Team 2019-06-10 10:44:27 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.